@echo off

SET IF=IF EXIST
SET .=echo.
SET SA=".\BGII - SoA
SET SR=%SA% restore
SET SD=.bif" %SR%\data"
SET SD=.bif" %SR%\data"
SET SM=" %SR%\music"
SET MS=%IF% %SR%" MOVE %SA%\
SET MR=%IF% %SR%" MOVE %SR%\
SET MD=%MS%data\
SET MM=%MS%music\

%.%
%.%
%.%
%.%
%.%
%.%
%.%                           BiG World Restore v9.0
%.%
%.%
%.%
%.%   This is an alternative tool for the BiG World Setup.
%.%   It will backup your BGII - SoA folder and restore it ready to use for
%.%   a new BWP installation. It will also delete the previous installation.
%.%
%.%   This tool requires to be in the same directory as the BGII - SoA folder
%.%   
%.%
%.%   If there is also the folder BiG World Downloads in the same directory
%.%   it will copy the unpacked mods into the BGII - SoA folder.
%.%
%.%
%.%
%.%
pause
%IF% ".\BGII - SvA" type NUL> BWP_SvA
%IF% BWP_SvA ren ".\BGII - SvA" "BGII - SoA"

:: first run
%IF% %SR%" GOTO :restore 

%IF% %SA%" IF NOT exist %SR%" MD %SR%"
%MS%CD2" %SR%"
%MS%CD3" %SR%"
%MS%CD4" %SR%"
%MS%CD5" %SR%"
%MS%data" %SR%"
%MS%music" %SR%"

%IF% %SR%" xcopy /Y /S /E /V %SA%\*.*" %SR%"
%MR%CD2" %SA%"
%MR%CD3" %SA%"
%MR%CD4" %SA%"
%MR%CD5" %SA%"
%MR%data" %SA%"
%MR%music" %SA%"

GOTO :import

:restore
%MS%CD2" %SR%"
%MS%CD3" %SR%"
%MS%CD4" %SR%"
%MS%CD5" %SR%"

%IF% %SR%" MD %SR%\data"
%MD%25AmbSnd%SD%
%MD%25Areas%SD%
%MD%25ArMisc%SD%
%MD%25CreAni%SD%
%MD%25Creatures%SD%
%MD%25CreSou%SD%
%MD%25Deflt%SD%
%MD%25Dialog%SD%
%MD%25Effect%SD%
%MD%25GuiBam%SD%
%MD%25GuiDes%SD%
%MD%25GuiMos%SD%
%MD%25Items%SD%
%MD%25IWAnim%SD%
%MD%25MiscAn%SD%
%MD%25NpcSo%SD%
%MD%25Portrt%SD%
%MD%25Projct%SD%
%MD%25Scripts%SD%
%MD%25SndFX%SD%
%MD%25SpelAn%SD%
%MD%25Spells%SD%
%MD%25Store%SD%
%MD%AMBSound%SD%
%MD%Areas%SD%
%MD%ARMisc%SD%
%MD%CD3CreA2%SD%
%MD%CD3CreAn%SD%
%MD%CD4CreA2%SD%
%MD%CD4CreA3%SD%
%MD%CD4CreAn%SD%
%MD%CDCreAni%SD%
%MD%CHAAnim%SD%
%MD%CHASound%SD%
%MD%CREAnim%SD%
%MD%CREAnim1%SD%
%MD%Creature%SD%
%MD%CRESound%SD%
%MD%CRIWAnim%SD%
%MD%Default%SD%
%MD%DeSound%SD%
%MD%Dialog%SD%
%MD%Effects%SD%
%MD%GUIBam%SD%
%MD%GUICHUI%SD%
%MD%GUIDesc%SD%
%MD%GUIFont%SD%
%MD%GUIIcon%SD%
%MD%GUIMosc%SD%
%MD%Hd0CrAn%SD%
%MD%Hd0GMosc%SD%
%MD%Items%SD%
%MD%MISCAnim%SD%
%MD%MISSound%SD%
%MD%MovHD0%SD%
%MD%NPCAnim%SD%
%MD%NPCHd0So%SD%
%MD%NPCSoCD2%SD%
%MD%NPCSoCD3%SD%
%MD%NPCSoCD4%SD%
%MD%NPCSound%SD%
%MD%OBJAnim%SD%
%MD%PaperDol%SD%
%MD%Portrait%SD%
%MD%Project%SD%
%MD%Scripts%SD%
%MD%SFXSound%SD%
%MD%SPELAnim%SD%
%MD%Spells%SD%
%MD%Stores%SD%

%IF% %SR%" MD %SR%\music"
%MM%BC1.mus%SM%
%MM%BC2.mus%SM%
%MM%BD1.mus%SM%
%MM%BD2.mus%SM%
%MM%BD3.mus%SM%
%MM%BF1.mus%SM%
%MM%BF2.mus%SM%
%MM%BJR.mus%SM%
%MM%Blank.mus%SM%
%MM%BM1.mus%SM%
%MM%BM2.mus%SM%
%MM%BP1.mus%SM%
%MM%BP2.mus%SM%
%MM%BRD.mus%SM%
%MM%BSD.mus%SM%
%MM%BST.mus%SM%
%MM%Cred.mus%SM%
%MM%dream1.mus%SM%
%MM%dream2.mus%SM%
%MM%harp_v2.mus%SM%
%MM%harp_v6.mus%SM%
%MM%MB.MUS%SM%
%MM%Mx0011.mus%SM%
%MM%Mx0012.mus%SM%
%MM%Mx0013.mus%SM%
%MM%Mx0015.mus%SM%
%MM%Mx0020.mus%SM%
%MM%Mx0021.mus%SM%
%MM%MX0202.mus%SM%
%MM%Mx0204.mus%SM%
%MM%Mx0300.mus%SM%
%MM%Mx0313.mus%SM%
%MM%Mx0400.mus%SM%
%MM%Mx0400n.mus%SM%
%MM%Mx0404.mus%SM%
%MM%Mx0406.mus%SM%
%MM%Mx0410.mus%SM%
%MM%Mx0414.mus%SM%
%MM%Mx0500.mus%SM%
%MM%Mx0512.mus%SM%
%MM%Mx0516.mus%SM%
%MM%Mx0602.mus%SM%
%MM%Mx0700.mus%SM%
%MM%Mx0900.mus%SM%
%MM%Mx1100.mus%SM%
%MM%Mx1200.mus%SM%
%MM%Mx1201.mus%SM%
%MM%Mx1300.mus%SM%
%MM%Mx1304.mus%SM%
%MM%Mx1400.mus%SM%
%MM%Mx1500.mus%SM%
%MM%Mx1600.mus%SM%
%MM%Mx1900.mus%SM%
%MM%Mx2000.mus%SM%
%MM%Mx2100.mus%SM%
%MM%Mx2300.mus%SM%
%MM%Mx4000.MUS%SM%
%MM%MX4500.MUS%SM%
%MM%Mx5000.MUS%SM%
%MM%Mx5200.MUS%SM%
%MM%MX5500.MUS%SM%
%MM%Mx6000.MUS%SM%
%MM%Mx6100.MUS%SM%
%MM%Mx6200.MUS%SM%
%MM%MxAerie.mus%SM%
%MM%MxAnom.mus%SM%
%MM%MxJahir.mus%SM%
%MM%MxKalah.mus%SM%
%MM%MxKhali.mus%SM%
%MM%MxMelis.MUS%SM%
%MM%MxThief.mus%SM%
%MM%MxVicon.mus%SM%
%MM%NPC.mus%SM%
%MM%SPC1.acm%SM%
%MM%Tav1.mus%SM%
%MM%Tav2.mus%SM%
%MM%Tav3.mus%SM%
%MM%Tav4.mus%SM%
%MM%Theme.mus%SM%
%MM%ThemeT.mus%SM%
%MM%VB.MUS%SM%
%MM%Vb%SM%
%MM%Theme%SM%
%MM%Tav4%SM%
%MM%Tav3%SM%
%MM%Tav2%SM%
%MM%Tav1%SM%
%MM%MxVicon%SM%
%MM%MxThief%SM%
%MM%MxKhali%SM%
%MM%MxKalah%SM%
%MM%MxJahir%SM%
%MM%MxAnom%SM%
%MM%MxAerie%SM%
%MM%Mx6200%SM%
%MM%Mx6100%SM%
%MM%Mx6000%SM%
%MM%Mx5500%SM%
%MM%Mx5000%SM%
%MM%Mx4500%SM%
%MM%Mx2300%SM%
%MM%Mx2100%SM%
%MM%Mx2000%SM%
%MM%Mx1900%SM%
%MM%MX1600%SM%
%MM%MX1500%SM%
%MM%Mx1400%SM%
%MM%MX1304%SM%
%MM%MX1300%SM%
%MM%MX1201%SM%
%MM%MX1200%SM%
%MM%Mx1100%SM%
%MM%Mx0900%SM%
%MM%Mx0700%SM%
%MM%MX0602%SM%
%MM%Mx0516%SM%
%MM%Mx0512%SM%
%MM%Mx0500%SM%
%MM%Mx0414%SM%
%MM%Mx0410%SM%
%MM%Mx0406%SM%
%MM%Mx0404%SM%
%MM%Mx0400n%SM%
%MM%Mx0400%SM%
%MM%Mx0313%SM%
%MM%Mx0300%SM%
%MM%Mx0204%SM%
%MM%Mx0202%SM%
%MM%Mx0021%SM%
%MM%Mx0020%SM%
%MM%Mx0015%SM%
%MM%Mx0013%SM%
%MM%Mx0012%SM%
%MM%MX0011%SM%
%MM%Mb%SM%
%MM%Harp_v6%SM%
%MM%Harp_v2%SM%
%MM%Dream1%SM%
%MM%Combo2%SM%
%MM%Combo1%SM%
%MM%BST%SM%
%MM%BSD%SM%
%MM%BRD%SM%
%MM%BP2%SM%
%MM%BP1%SM%
%MM%BM2%SM%
%MM%BM1%SM%
%MM%Blank%SM%
%MM%BJR%SM%
%MM%BF2%SM%
%MM%BF1%SM%
%MM%BD3%SM%
%MM%BD2%SM%
%MM%BD1%SM%
%MM%BC2%SM%
%MM%BC1%SM%


%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%         Do you want to backup or delete your previous installation?
%.%
%.% (You first must restart your computer before you can use the backup function)
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
set /P X=                      (B)ackup,  (D)elete . . .
if /I "%X%"=="B" goto :Backup 
if /I "%X%"=="D" goto :Delete
%.%
%.%

:Backup
%IF% %SA%" Rename "BGII - SoA" "BGII - SoA Backup"
%IF% %SA%" %IF% %SA% Backup" Rename "BGII - SoA" "BGII - SoA Backup2"
%IF% %SA%" %IF% %SA% Backup2" Rename "BGII - SoA" "BGII - SoA Backup3"

GOTO :Create

:Delete
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%         The next step will take some time - be patient!
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%IF% %SA%" RD /S /Q %SA%

:Create
%IF% %SR%" MD %SA%"
%IF% %SR%" MD %SA%\portraits"
%IF% %SR%" MD %SA%\temp"
%IF% %SR%" MD %SA%\tempsave"

%MR%CD2" %SA%"
%MR%CD3" %SA%"
%MR%CD4" %SA%"
%MR%CD5" %SA%"
%MR%data" %SA%"
%MR%music" %SA%"
%IF% %SR%" xcopy /Y /S /E /V %SR%\*.*" %SA%"

:import
%IF% %SA%" %IF% ".\BiG World Downloads" xcopy /Y /S /E /V ".\BiG World Downloads\unpacked mods\*.*" ".\BGII - SoA"
%IF% BWP_SvA ren %SA%" "BGII - SvA"
%IF% BWP_SvA del BWP_SvA
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%                 finished!
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
%.%
pause

